## org.gnu.atk
Class State

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.atk.State

public class State
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`State()`

Method Summary
`protected static int` `atk_state_type_for_name(java.lang.String name)`
`protected static java.lang.String` `atk_state_type_get_name(int type)`
`protected static int` `atk_state_type_register(java.lang.String name)`
`static StateType` `getTypeForName(java.lang.String name)`
`static java.lang.String` `getTypeName(StateType type)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### State

    public State()

Method Detail

### getTypeName

    public static java.lang.String getTypeName(StateType type)

### getTypeForName

    public static StateType getTypeForName(java.lang.String name)

### atk_state_type_register

    protected static final int atk_state_type_register(java.lang.String name)

### atk_state_type_get_name

    protected static final java.lang.String atk_state_type_get_name(int type)

### atk_state_type_for_name

    protected static final int atk_state_type_for_name(java.lang.String name)